TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

AllIrreduciblePolynomials ( fld^fin F, elt-ord^rat n ) -> seq()

### Description

<shortdoc> Given a finite field F and an integer n > 1, return the set of all polynomials of degree n that are monic and irreducible over F. </shortdoc>

### Examples

x_k := FiniteField(2); AllIrreduciblePolynomials(x_k, 3);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack